=== debian/changelog ===
fftw3 (3.3.8-2ubuntu8) jammy; urgency=medium

  * No-change rebuild for ppc64el baseline bump.

 -- Łukasz 'sil2100' Zemczak <lukasz.zemczak@ubuntu.com>  Wed, 23 Mar 2022 14:51:59 +0100

fftw3 (3.3.8-2ubuntu7) impish; urgency=medium

  * enable building libfftw3-long3 on riscv64 (LP: #1939516)

 -- Heinrich Schuchardt <heinrich.schuchardt@canonical.com>  Fri, 06 Aug 2021 16:59:02 +0200

fftw3 (3.3.8-2ubuntu6) groovy; urgency=medium

  * Skip testsuite for i386-as-amd64 autopkgtest runners, failing to make
    crossbuilding work in the autopkgtest testbed.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Fri, 05 Jun 2020 10:58:15 +0100

fftw3 (3.3.8-2ubuntu4) groovy; urgency=medium

  * Fixup testsuite for i386-as-amd64 autopkgtest runners.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Mon, 01 Jun 2020 10:57:14 +0100

fftw3 (3.3.8-2ubuntu2) groovy; urgency=medium

  * Enable mpi everywhere, but i386.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Fri, 29 May 2020 14:43:21 +0100

fftw3 (3.3.8-2ubuntu1) focal; urgency=medium

  * debian/rules: Disable Neon for armhf single precision builds to avoid
    crashes. It's unclear if this is an fftw3 internal bug in its code
    generator (which fftw3 does by hand) or related to gcc changes in recent
    years. But certainly disabling Neon avoids the crashes. (LP: #1843733)

 -- Daniel van Vugt <daniel.van.vugt@canonical.com>  Sat, 30 Nov 2019 23:40:05 +0100

fftw3 (3.3.8-2) unstable; urgency=medium

  * Add fftw3.info-1 and fftw3.info-2 to libfftw3-doc (closes: #880618)
  * Bump Standards-Version to 4.2.1

 -- Paul Brossier <piem@debian.org>  Mon, 10 Sep 2018 22:35:56 +0200

fftw3 (3.3.8-1) unstable; urgency=medium

  * New upstream release
  * remove libfftw3-dbg in favor of automatic dbgsym package (Closes: #892248)
  * add arm64 mips64el ppc64el to libfftw3-long dependency
    of libfftw3-dev (Closes: #902342)
  * update Vcs urls
  * bump standards-version to 4.1.4
  * replace Priority extra with optional

 -- Julian Taylor <jtaylor.debian@googlemail.com>  Mon, 25 Jun 2018 22:02:59 +0200
