=== debian/control ===
Source: fftw3
Section: libs
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Science Team <debian-science-maintainers@lists.alioth.debian.org>
Uploaders: Paul Brossier <piem@debian.org>,
           Julian Taylor <jtaylor.debian@googlemail.com>
Build-Depends: chrpath,
               debhelper (>= 9),
               dh-autoreconf,
               dpkg (>= 1.16.0),
               gfortran,
               mpi-default-dev [!i386],
               texinfo
Build-Depends-Indep: ghostscript (>> 8.63), transfig
Vcs-Git: https://salsa.debian.org/science-team/fftw3.git
Vcs-Browser: https://salsa.debian.org/science-team/fftw3
Homepage: http://fftw.org
Standards-Version: 4.2.1

Package: libfftw3-3
Architecture: any
Depends: libfftw3-double3 (=${binary:Version}),
         libfftw3-long3 (=${binary:Version}) [amd64 arm64 hurd-i386 i386 ia64 kfreebsd-amd64 kfreebsd-i386 mips64 mips64el powerpc powerpcspe ppc64el riscv64 s390 s390x sparc x32],
         libfftw3-single3 (=${binary:Version}),
         ${misc:Depends}
Suggests: libfftw3-bin, libfftw3-dev
Provides: fftw3
Replaces: fftw3
Conflicts: fftw3
Multi-Arch: same
Section: oldlibs
Description: Library for computing Fast Fourier Transforms
 The FFTW library computes Fast Fourier Transforms (FFT) in one or more
 dimensions. It is extremely fast.
 This package is a transitional package depending on the packages containing
 the single and double precision libraries.
 .
 To get the static library and the header files, you need to install
 libfftw3-dev. For documentation, see libfftw3-doc.

Package: libfftw3-single3
Architecture: any
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends}, ${shlibs:Depends}
Suggests: libfftw3-bin, libfftw3-dev
Multi-Arch: same
Replaces: libfftw3-3 (<< 3.3.3-1)
Breaks: libfftw3-3 (<< 3.3.3-1)
Description: Library for computing Fast Fourier Transforms - Single precision
 The FFTW library computes Fast Fourier Transforms (FFT) in one or more
 dimensions. It is extremely fast. This package contains the shared library
 for single precision transforms.
 .
 To get the static library and the header files, you need to install
 libfftw3-dev. For documentation, see libfftw3-doc.

Package: libfftw3-double3
Architecture: any
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends}, ${shlibs:Depends}
Suggests: libfftw3-bin, libfftw3-dev
Multi-Arch: same
Replaces: libfftw3-3 (<< 3.3.3-1)
Breaks: libfftw3-3 (<< 3.3.3-1)
Description: Library for computing Fast Fourier Transforms - Double precision
 The FFTW library computes Fast Fourier Transforms (FFT) in one or more
 dimensions. It is extremely fast. This package contains the shared library
 for double precision transforms.
 .
 To get the static library and the header files, you need to install
 libfftw3-dev. For documentation, see libfftw3-doc.

Package: libfftw3-long3
Architecture: amd64 arm64 hurd-i386 i386 ia64 kfreebsd-amd64 kfreebsd-i386 mips64 mips64el powerpc powerpcspe ppc64el riscv64 s390 s390x sparc x32
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends}, ${shlibs:Depends}
Suggests: libfftw3-bin, libfftw3-dev
Multi-Arch: same
Replaces: libfftw3-3 (<< 3.3.3-1)
Breaks: libfftw3-3 (<< 3.3.3-1)
Description: Library for computing Fast Fourier Transforms - Long precision
 The FFTW library computes Fast Fourier Transforms (FFT) in one or more
 dimensions. It is extremely fast. This package contains the shared library
 for long double precision transforms.
 .
 To get the static library and the header files, you need to install
 libfftw3-dev. For documentation, see libfftw3-doc.

Package: libfftw3-quad3
Architecture: amd64 hurd-i386 i386 kfreebsd-amd64 kfreebsd-i386 x32
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends}, ${shlibs:Depends}
Suggests: libfftw3-bin, libfftw3-dev
Multi-Arch: same
Description: Library for computing Fast Fourier Transforms - Quad precision
 The FFTW library computes Fast Fourier Transforms (FFT) in one or more
 dimensions. It is extremely fast. This package contains the shared library
 for quad precision transforms.
 .
 To get the static library and the header files, you need to install
 libfftw3-dev. For documentation, see libfftw3-doc.

Package: libfftw3-bin
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Multi-Arch: foreign
Replaces: libfftw3-dev (<< 3.3.2-1)
Breaks: libfftw3-dev (<< 3.3.2-1)
Description: Library for computing Fast Fourier Transforms - Tools
 The FFTW library computes Fast Fourier Transforms (FFT) in one or more
 dimensions. It is extremely fast.
 .
 This package contains the wisdom management tools.

Package: libfftw3-mpi3
Architecture: amd64 arm64 armhf ppc64el riscv64 s390x
Pre-Depends: ${misc:Pre-Depends}
Depends: ${misc:Depends}, ${shlibs:Depends}
Suggests: libfftw3-mpi-dev
Multi-Arch: same
Description: MPI Library for computing Fast Fourier Transforms
 The FFTW library computes Fast Fourier Transforms (FFT) in one or more
 dimensions. It is extremely fast. This package contains the shared library
 versions of the fftw libraries in single, double and long double precisions.
 Note that on some architectures double is the same as long double in which
 case there is no long double library.
 .
 To get the static library and the header files, you need to install
 libfftw3-mpi-dev. For documentation, see libfftw3-doc.

Package: libfftw3-dev
Architecture: any
Section: libdevel
Depends: libfftw3-bin (=${binary:Version}),
         libfftw3-double3 (=${binary:Version}),
         libfftw3-long3 (=${binary:Version}) [amd64 arm64 hurd-i386 i386 ia64 kfreebsd-amd64 kfreebsd-i386 mips64 mips64el powerpc powerpcspe ppc64el riscv64 s390 s390x sparc x32],
         libfftw3-quad3 (=${binary:Version}) [amd64 hurd-i386 i386 kfreebsd-amd64 kfreebsd-i386 x32],
         libfftw3-single3 (=${binary:Version}),
         ${misc:Depends}
Suggests: libfftw3-doc
Provides: fftw3-dev
Replaces: fftw3-dev
Conflicts: fftw3-dev
Multi-Arch: same
Description: Library for computing Fast Fourier Transforms - development
 The FFTW library computes Fast Fourier Transforms (FFT) in one or more
 dimensions. It is extremely fast. This package contains the statically linked
 library, header files and test programs.
 .
 This package contains the header files and static libraries.
 For documentation, see libfftw3-doc.

Package: libfftw3-mpi-dev
Architecture: amd64 arm64 armhf ppc64el riscv64 s390x
Section: libdevel
Depends: libfftw3-mpi3 (=${binary:Version}), ${misc:Depends}
Suggests: libfftw3-doc
Multi-Arch: same
Description: MPI Library for computing Fast Fourier Transforms - development
 The FFTW library computes Fast Fourier Transforms (FFT) in one or more
 dimensions. It is extremely fast. This package contains the statically linked
 library, header files and test programs.
 .
 This package contains the header files and static libraries for the
 mpi libraries. For documentation, see libfftw3-doc.

Package: libfftw3-doc
Architecture: all
Section: doc
Depends: ${misc:Depends}
Suggests: libfftw3-3
Provides: fftw3-doc
Replaces: fftw3-doc
Conflicts: fftw3-doc
Multi-Arch: foreign
Description: Documentation for fftw version 3
 The FFTW library computes Fast Fourier Transforms (FFT) in one or more
 dimensions. It is extremely fast. This package contains the documentation for
 the fftw3 library.
