=== debian/tests/control ===
Tests: tools
Depends: libfftw3-bin

Tests: build
Depends: build-essential, libfftw3-dev
Restrictions: skippable
