## fftw3 3.3.10

=== debian/changelog ===
fftw3 (3.3.10-1ubuntu3) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 31 Mar 2024 00:58:26 +0000

fftw3 (3.3.10-1ubuntu2) noble; urgency=medium

  * No-change rebuild against libopenmpi3t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Wed, 13 Mar 2024 18:24:56 +0000

fftw3 (3.3.10-1ubuntu1) lunar; urgency=medium

  * Sync with Debian. Remaining changes:
    - Disable neon for armhf single precision builds to avoid crashes
      (LP: #1843733)
    - Skip 'build' autopkgtest on i386

 -- Jeremy Bicha <jbicha@ubuntu.com>  Wed, 08 Feb 2023 16:34:53 -0500

fftw3 (3.3.10-1) unstable; urgency=medium

  * Team upload.

  [ Steffen Moeller ]
  * d/copyright: format changed to be machine readable.

  [ Jelmer Vernooĳ ]
  * Trim trailing whitespace.

  [ Sébastien Villemot ]
  * Rewrite d/rules using dh sequencer.
    By the way, fix some missing checks for DEB_BUILD_OPTIONS=nocheck
  * Bump to debhelper compat level 13
    - dh_autoreconf run by default
    - doc installed under /u/s/doc/libfftw-dev/
    - dh_makeshlibs now defaults to -V
  * d/upstream/metadata:
    - move to correct location
    - add more fields
  * Remove useless libfftw3-dev.dirs
  * d/copyright: update copyright years
  * d/control:
    + remove obsolete Breaks/Conflicts/Replaces/Provides
    + remove obsolete versioned Build-Depends on dpkg and ghostscript
    + remove useless Build-Depends on dh-autoreconf
    + add Rules-Requires-Root: no
  * d/tests/{build,tools}: replace $ADTTMP with $AUTOPKGTEST_TMP
  * Reword abstract in d/libfftw3-doc.doc-base.fftw3-faq to make
    lintian happy
  * Remove transitional package libfftw3-3, it no longer has
    reverse dependencies

  [ Boyuan Yang ]
  * New upstream release 3.3.10.
  * debian/watch: Monitor with https instead of ftp.
  * bump Standards-Version to 4.6.1.
  * Apply patch from Ubuntu:

  [ Heinrich Schuchardt ]
  * enable building libfftw3-long3 on riscv64 (LP: #1939516)

  [ Debian Janitor ]
  * Trim trailing whitespace.
  * Use secure URI in Homepage field.

  [ Andreas Tille ]
  * Fix Maintainer name of Debian Science team (routine-update)
  * Reorder sequence of d/control fields by cme (routine-update)
  * Add salsa-ci file (routine-update)
  * Set hardening options
  * lintian-overrides (see lintian bug #1017966)

 -- Andreas Tille <tille@debian.org>  Wed, 30 Nov 2022 17:40:47 +0100
